/*
 * AboutWindow.java
 *
 * Created on March 9, 2007, 2:01 PM
 *
 *
GeoShear - A program to explore deformation of cross sections of stone
    
Copyright (C) September 2007, Chris Warren (Chris.Warren@williams.edu) and 
Paul Karabinos (Paul.M.Karabinos@williams.edu)

This program is licensed under the terms of the Williams College Software 
License as published by Williams College; either version 1 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
PARTICULAR PURPOSE. See the Williams College Software License for more details.

You should have received a copy of the Williams College Software License along 
with this program; if not, write to Williams College Office for Information 
Technology, 22 Lab Campus Drive, Williamstown, MA 01267 USA
 *
 */

package edu.williams.geoshear;

/**
 * This window display information about the GeoShear program.
 * @author cwarren
 */
public class AboutWindow extends javax.swing.JFrame
{
    
    /** Creates new form AboutWindow */
    public AboutWindow ()
    {
        initComponents ();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents()
    {
        GeoShearLabel = new javax.swing.JLabel();
        CopyrightLabel = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        jButton1 = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTextArea2 = new javax.swing.JTextArea();
        jLabel6 = new javax.swing.JLabel();

        setResizable(false);
        GeoShearLabel.setFont(new java.awt.Font("Tahoma", 1, 48));
        GeoShearLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        GeoShearLabel.setText("GeoShear");

        CopyrightLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        CopyrightLabel.setText("Copyright September 2007  by Chris Warren and Paul Karabinos");

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 10));
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel5.setText("for Williams College OIT and GeoScience Department");

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 14));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel3.setText("A program to explore the effect of");

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 14));
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel4.setText("shearing deformations on stone cross sections");

        jScrollPane1.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        jScrollPane1.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
        jTextArea1.setBackground(javax.swing.UIManager.getDefaults().getColor("Label.background"));
        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setFont(new java.awt.Font("Tahoma", 0, 14));
        jTextArea1.setLineWrap(true);
        jTextArea1.setRows(5);
        jTextArea1.setText("This application was developed jointly, with Chris providing the programming expertise, Paul providing the subject matter expertise, and both working on the interface, testing, and other aspects of creating a computer application.\n");
        jTextArea1.setWrapStyleWord(true);
        jTextArea1.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
        jScrollPane1.setViewportView(jTextArea1);

        jButton1.setFont(new java.awt.Font("Tahoma", 0, 18));
        jButton1.setText("Close");
        jButton1.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                jButton1ActionPerformed(evt);
            }
        });

        jTextArea2.setColumns(20);
        jTextArea2.setLineWrap(true);
        jTextArea2.setRows(5);
        jTextArea2.setText("The Williams College Software License (WCSL)\nVersion 1, February 2007\n\nCopyright (C) 2007 Williams College Office for Information Technology\n22 Lab Campus Drive, Williamstown, MA 01267  USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n\nThe really short summary:\n\nThis work is free to use and share, but if you want to make money off it you need to talk to the copyright holder. There's no warranty nor support.\n\n\nThe short summary:\n\nYou can use this work for free so long as credit is given. You copy and/or distribute it however you want as long as you're not making money from it (if you want to make money from it you need to contact the copyright holders and negotiate a separate license, or wait). You can not make changes to it (to prevent circumvention of the previous restriction). After 4 years the latter two restrictions go away - this license eventually reverts to the GNU General Public License version 3 or later. \n\nIt's provided completely 'as is'. The author(s) and anyone who distributes it provide no warranty, guarantee, or support.\n\n\nThe legal version:\n\nPreamble\n\nThis license is intended to allow a works to be freely used, shared, and distributed while simultaneously allowing the copyright holders the opportunity to receive compensation if any individual or organization derives revenue from the work. This opportunity takes the form of a period of time from the initial copyright claim during which the license restricts derivation, modification, and commercial distribution and after which this license reverts to the GNU General Public License (GPL), version 3 or later (http://www.gnu.org/licenses/gpl.html). Any individual or organization which wishes to generate revenue from the work must acquire a separate license, or must wait until the license reverts to the GPL.\n\nThis license disallows a Distributor of the work from receiving compensation from the recipient of the work. This license prohibits modification of and derivation from the work to prevent circumvention of the distribution restriction. If you wish to incorporate parts of the Program into other programs or to use the Program in some form of compensated distribution then write to the copyright holder to negotiate a separate license. \n\nFor example, under this license you would be free to make copies work and mail them to a few hundred collegues, post the work for free download on a website or filesharing system, or hand out copies on CDs at a presentation at a conference. However, a conference organization (as opposed to an attendee) that wanted to distribute the software at a conference for which there was a fee, or a publisher that wanted to package the software with a textbook for which there was a fee would not be able to do so within 4 years of the initial copyright claim. In the latter cases those organization would need to negotiate a new license. A blogger would be free to distribute the work via their blog as long as their blog was freely readable and available (even if the blog contains advertising), but if there were a subscription fee for the blog then the blogger would require a separate license.\n\n\nTERMS AND CONDITIONS\n\n0. Definitions:\n\n\"This License\" refers to version 1 or later of the Williams College Software License (WCSL).\n\n\"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\nTo \"use the Program\" means to run the program and interact with it.\n\nThe \"Source Code\" for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nThe \"Object Code\" or \"Executeable Form\" of a work means the preferred form for using the work for its intended function.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\nTo \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nA \"Distributor\" is any individual or organization that propogates or conveys the work.\n\n\"Protection Period\" is the time during which this license applies, and after which this license reverts to the GNU General Public License, version 3 or later. The Protection Period starts on the first day of the most specied date period in the most recent copyright claim and ends 1461 days (i.e. 4 years) after that date.\n\n\n1. You may copy, and distribute verbatim copies of the Program's Source Code as you receive it, in any medium, provided you abide by all these:\n\n\ta) that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty;\n\tb) keep intact all the notices that refer to this License and to the absence of any warranty;\n\tc) give any other recipients of the Program a copy of this License along with the Program;\n\td) you receive no compensation from the recipient, for either the Program alone or any package of which the program is a part.\n\n\n2. You may copy, and distribute the Program in Executable Form under the terms of Sections 1 above provided that you also accompany it with the complete corresponding machine-readable Source Code, which also must be distributed under the terms of Section 1 above on a medium customarily used for software interchange.\n\nIf distribution of the Executeable Form is made by offering access to copy from a designated place, then offering equivalent access to copy the Source Code from the same place counts as distribution of the source code.\n\n\n3. You may use the program. If work resulting from the use of this Program is published or otherwise distributed it must indicate that this program was used for that work.\n\n\n4. You may not modify the Program; you may not make derivative works from it; you may not combine it with other works.\n\n\n5. You are not required to accept this License. However, using, copying, or distributing the Program is prohibited by law if you do not accept this License. By using, copying, or distributing this Program you indicate your acceptance of this License to do so, and all its terms and conditions.\n\nModifying the Program is prohibited by this license  (section 4) if you accept it, and by law if you do not.\n\n\n6. Any recipient of the Program in any form automatically receives this License for that Program from the original licensor. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n\n7. If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not use, copy, or distribute the Program. \n\n\n8. If the distribution and/or use of the Program is restricted in some areas either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit limitations excluding those areas (geo-political or otherwise), so that use and distribution is permitted only where not restricted. In such case, this License incorporates the limitation as if written in the body of this License.\n\n\n9. Williams College may publish revised and/or new versions of the Williams College Software License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing, incremental version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Williams College. If the Program does not specify a version number of this License, you may choose any version ever published by the Williams College.\n\n\n10. At the expiration of the Protection Period this license is replaced in whole by the GNU General Public License version 3 or later. The copyright holder remains the same, and all terms and conditions of this License are removed and replaced with the terms and conditions of the GNU General Public License version 3 or later (http://www.gnu.org/licenses/gpl.html).\n\n\n11. THIS PROGRAM IS PROVIDED WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY DISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA, DATA BEING RENDERED INACCURATE, LOSSES SUSTAINED BY YOU OR THIRD PARTIES, OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n\n13. If any portion of this License is held invalid or unenforceable under any particular circumstance, the balance of this License is intended to apply and the License as a whole is intended to apply otherwise.\n\nEND OF TERMS AND CONDITIONS\n\n\n\nInstructions for Use\n\nPut these notices to the program, with a copyright claim and either the full license or a reference to the full license in each source file. E.g.\n\n    Program name and description\n    \n    Copyright (C) <month> <year> <name of author>\n\n    This program is licensed under the terms of the Williams College Software License as published by Williams College; either version 1 of the License, or (at your option) any later version.\n\n    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Williams College Software License for more details.\n\n    You should have received a copy of the Williams College Software License along with this program; if not, write to Williams College Office for Information Technology, 22 Lab Campus Drive, Williamstown, MA 01267 USA\n\nInclude as well information about how people can contact you (the copyright holder).\n\n\nIf it is reasonable to do so make your program output a short notice like this when it starts:\n\n    Prog v 1.0, Copyright (C) <year> <name of author>\n    Prog comes with ABSOLUTELY NO WARRANTY; you are welcome to redistribute, modify, and use this software under certain conditions; for details see the license distributed with this software.\n\n\nYou should also get your employer or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\n    Williams College, hereby disclaims all copyright interest in the program `Prog' written by Mark Hopkins.\n\n    signature of Coleen T Opin, 1 April 2020\n    Coleen T Opin\n\n\nThis Williams College Software License does not permit incorporating your program into proprietary programs. Nor does it permit commercial use of the program . This non-commercial limitation makes it incompatible with the GNU GPL during the time in which it applies. If you are not concerned with commercial use of your program or its derivative by others then the GNU GPL is recommended instead.");
        jTextArea2.setWrapStyleWord(true);
        jScrollPane2.setViewportView(jTextArea2);

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel6.setText("LICENSE INFORMATION");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, GeoShearLabel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jButton1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, CopyrightLabel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
                    .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(GeoShearLabel)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel3)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel4)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(CopyrightLabel)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel5)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(32, 32, 32)
                .add(jLabel6)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 237, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButton1)
                .addContainerGap())
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed (java.awt.event.ActionEvent evt)//GEN-FIRST:event_jButton1ActionPerformed
    {//GEN-HEADEREND:event_jButton1ActionPerformed
// TODO add your handling code here:
        this.setVisible (false);
    }//GEN-LAST:event_jButton1ActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main (String args[])
    {
        java.awt.EventQueue.invokeLater (new Runnable ()
        {
            public void run ()
            {
                new AboutWindow ().setVisible (true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel CopyrightLabel;
    private javax.swing.JLabel GeoShearLabel;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextArea jTextArea2;
    // End of variables declaration//GEN-END:variables
    
}
